﻿html, body {
	width:		100%;
	height:		100%;					
	padding:	0;
	margin:		0;
	overflow:	auto; /* when page gets too small */
}

body {
    font-size: .85em;
    font-family: "Trebuchet MS" , Helvetica, Sans-Serif;
    color: #232323;
    background-color: #fff;
}

header, footer, nav, section {
    display: block;
}

body h2 
{
    margin: 6px 0 6px 6px;
}

.med-grid, .med-grid input, .med-grid select
{
    font-size: .95em;
}

.med-grid input, .med-grid select, .med-grid span, .btn
{
    font-family: "Trebuchet MS" , Helvetica, Sans-Serif;
    margin-bottom: 2px;
}

#quote-line-editor
{
    border: 0 none;
    border-collapse: collapse;
}

#quote-line-editor th, #quote-line-editor td, #quote-election-block th, #quote-election-block td
{
    padding-right: 7px;
    vertical-align: top;
}



#quote-line-editor tbody tr.alt
{
    background-color: #ededed
}
#quote-line-editor tbody tr.act
{
    background-color: #F5A9BC;
}
#quote-line-editor tbody tr.hover
{
    background-color: Yellow !important;
}

.mod 
{
    visibility: hidden;
}
.btn 
{
    
    padding: 0 0.2em 0 0.2em;
}

#quote-line-editor-spec
{
    text-align: left;  
}

#quote-line-editor-class
{
    text-align: center;
}

#quote-line-editor-calc
{
    text-align: right;
}

.left
{
    text-align: left !important;
}
.center
{
    text-align: center !important;
}
.right
{
    text-align: right !important;
}
.middle
{
    vertical-align: middle !important;
}
.placeholder
{
    font-style: italic;
    background-color: #D1D1FF;
    color: #1D1D1D;
}
/* Styles for basic forms
-----------------------------------------------------------*/
fieldset {
    border: 1px solid #ddd;
    padding: 0 1.4em 1.4em 1.4em;
    margin: 0 0 1.5em 0;
}

legend {
    font-size: 1.2em;
    font-weight: bold;
}

textarea {
    min-height: 75px;
}

.editor-label {
    margin: 1em 0 0 0;
}

.editor-field {
    margin: 0.5em 0 0 0;

}

#quote-editor-toolbar, #quote-scenario-toolbar
{
       font-size: .75em !important;
       float: right;
}

#quote-editor-upload-inventory, #quote-editor-show-calcs-label
{
 
}

.quote-calc
{
    
}

/* Styles for validation helpers
-----------------------------------------------------------*/
.field-validation-error {
    color: #f00;
}

.field-validation-valid {
    display: none;
}

.input-validation-error {
    border: 1px solid #f00;
    background-color: #fee;
}

.validation-summary-errors {
    font-weight: bold;
    color: #f00;
}

.validation-summary-valid {
    display: none;
}



a.opton:link, a.opton:visited
{
	color: Black;
	background-color: #d0d0d0;
	padding: 2px 2px 2px 2px;
	margin-right: 3px;
	text-decoration: none;
}

a.optoff:link, a.optoff:visited
{
	color: #808080;
	text-decoration: none;
	padding: 2px 2px 2px 2px;
	margin-right: 3px;
}